> ## Documentation Index
> Fetch the complete documentation index at: https://hevninc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get USDC balance on Base



## OpenAPI

````yaml /openapi.json get /api/v1/mcp/get_balance
openapi: 3.1.0
info:
  title: HEVN API
  description: Backend API for HEVN mobile neobank
  version: 0.1.2
servers:
  - url: https://api.hevn.finance
    description: Production
security: []
paths:
  /api/v1/mcp/get_balance:
    get:
      tags:
        - mcp
      summary: Get USDC balance on Base
      operationId: get_mcp_balance_api_v1_mcp_get_balance_get
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            title: X-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BalanceResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    BalanceResponse:
      properties:
        email:
          type: string
          title: Email
        address:
          anyOf:
            - type: string
            - type: 'null'
          title: Address
        balance:
          type: number
          title: Balance
          default: 0
        remaining:
          type: number
          title: Remaining
          default: 0
      type: object
      required:
        - email
      title: BalanceResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````